Clients
Nous gérons deux types de clients :
Clients particuliers (contact)
Clients professionnels (ou entreprise)
Les entreprises peuvent avoir différents contacts pour gérer divers services ou fonctions au sein d'une même entreprise.
Clients professionnels
API key authentication. Pass your API key as a Bearer token.
The official name of the organization
Acme CorporationThe commercial or trading name of the organization
Acme CorpThe SIRET number (required for French organizations)
12345678901234The VAT number of the organization
FR12345678901Additional notes about the organization
Preferred supplier for anvils and TNTPreferred currency of the customer
Contact creation timestamp
1617187200Contact archival timestamp
1617187200POST /organization HTTP/1.1
Host: api.abby.fr
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 618
{
"name": "Acme Corporation",
"commercialName": "Acme Corp",
"emails": [
"text"
],
"siret": "12345678901234",
"vatNumber": "FR12345678901",
"billingAddress": {
"address": "123 Main Street",
"complement": "Apt 4B",
"city": "New York",
"zipCode": "10001",
"state": "NY",
"country": "FR"
},
"deliveryAddress": {
"address": "123 Main Street",
"complement": "Apt 4B",
"city": "New York",
"zipCode": "10001",
"state": "NY",
"country": "FR"
},
"notes": "Preferred supplier for anvils and TNT",
"bankInformations": {
"iban": "DE89370400440532013000",
"bic": "DEUTDEFF",
"holder": "John Doe"
},
"preferences": {
"language": "en",
"currency": "USD",
"paymentMethods": [
"cheque",
"stripe"
]
}
}{
"language": "en",
"currency": "USD",
"paymentMethods": [
"cheque",
"stripe"
],
"id": "text",
"name": "text",
"commercialName": "text",
"emails": [
"text"
],
"siret": "text",
"vatNumber": "text",
"countContacts": 1,
"billingAddress": {
"address": "123 Main Street",
"complement": "Apt 4B",
"city": "New York",
"zipCode": "10001",
"state": "NY",
"country": "FR"
},
"deliveryAddress": {
"address": "123 Main Street",
"complement": "Apt 4B",
"city": "New York",
"zipCode": "10001",
"state": "NY",
"country": "FR"
},
"bankInformations": {
"iban": "DE89370400440532013000",
"bic": "DEUTDEFF",
"holder": "John Doe"
},
"notes": "text",
"createdAt": 1617187200,
"archivedAt": 1617187200,
"hasBillings": true,
"test": true
}API key authentication. Pass your API key as a Bearer token.
Preferred currency of the customer
Contact creation timestamp
1617187200Contact archival timestamp
1617187200PUT /organization/{id} HTTP/1.1
Host: api.abby.fr
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 549
{
"name": "text",
"commercialName": "text",
"emails": [
"text"
],
"siret": "text",
"vatNumber": "text",
"billingAddress": {
"address": "123 Main Street",
"complement": "Apt 4B",
"city": "New York",
"zipCode": "10001",
"state": "NY",
"country": "FR"
},
"deliveryAddress": {
"address": "123 Main Street",
"complement": "Apt 4B",
"city": "New York",
"zipCode": "10001",
"state": "NY",
"country": "FR"
},
"bankInformations": {
"iban": "DE89370400440532013000",
"bic": "DEUTDEFF",
"holder": "John Doe"
},
"notes": "text",
"preferences": {
"language": "en",
"currency": "USD",
"paymentMethods": [
"cheque",
"stripe"
]
}
}{
"language": "en",
"currency": "USD",
"paymentMethods": [
"cheque",
"stripe"
],
"id": "text",
"name": "text",
"commercialName": "text",
"emails": [
"text"
],
"siret": "text",
"vatNumber": "text",
"countContacts": 1,
"billingAddress": {
"address": "123 Main Street",
"complement": "Apt 4B",
"city": "New York",
"zipCode": "10001",
"state": "NY",
"country": "FR"
},
"deliveryAddress": {
"address": "123 Main Street",
"complement": "Apt 4B",
"city": "New York",
"zipCode": "10001",
"state": "NY",
"country": "FR"
},
"bankInformations": {
"iban": "DE89370400440532013000",
"bic": "DEUTDEFF",
"holder": "John Doe"
},
"notes": "text",
"createdAt": 1617187200,
"archivedAt": 1617187200,
"hasBillings": true,
"test": true
}API key authentication. Pass your API key as a Bearer token.
GET /organizations?page=1&limit=1 HTTP/1.1
Host: api.abby.fr
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"countWithoutFilters": 1,
"totalDocs": 1,
"limit": 1,
"totalPages": 1,
"hasNextPage": true,
"hasPrevPage": true,
"nextPage": 1,
"page": 1,
"prevPage": 1,
"docs": [
{
"language": "en",
"currency": "USD",
"paymentMethods": [
"cheque",
"stripe"
],
"id": "text",
"name": "text",
"commercialName": "text",
"emails": [
"text"
],
"siret": "text",
"vatNumber": "text",
"countContacts": 1,
"billingAddress": {
"address": "123 Main Street",
"complement": "Apt 4B",
"city": "New York",
"zipCode": "10001",
"state": "NY",
"country": "FR"
},
"deliveryAddress": {
"address": "123 Main Street",
"complement": "Apt 4B",
"city": "New York",
"zipCode": "10001",
"state": "NY",
"country": "FR"
},
"bankInformations": {
"iban": "DE89370400440532013000",
"bic": "DEUTDEFF",
"holder": "John Doe"
},
"notes": "text",
"createdAt": 1617187200,
"archivedAt": 1617187200,
"hasBillings": true,
"test": true
}
]
}API key authentication. Pass your API key as a Bearer token.
Aucun contenu
DELETE /organization/{organizationId} HTTP/1.1
Host: api.abby.fr
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
Aucun contenu
Clients particuliers
Dans le cas où vous souhaitez enregister un client particulier, vous pouvez créer un contact.
API key authentication. Pass your API key as a Bearer token.
The first name of the contact
JohnThe last name of the contact
DoeThe phone number of the contact
+1234567890The job title of the contact
Software EngineerThe email addresses of the contact
["john.doe@example.com","johnd@work.com"]Additional notes about the contact
Prefers email communicationThe contact has been successfully created.
Contact ID
123e4567-e89b-12d3-a456-426614174000Contact email addresses
["john@example.com","johndoe@company.com"]Whether this is the default contact
trueContact creation timestamp
1617187200Contact archival timestamp
1617187200Whether the contact has billings
trueWhether this is a test contact
falseContact phone number
+33123456789Contact first name
JohnContact last name
DoeContact job title
Software EngineerWhether the contact has third-party services
falseAdditional notes about the contact
Prefers email communicationPreferred currency of the customer
Bad Request
Unauthorized
POST /contact HTTP/1.1
Host: api.abby.fr
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 622
{
"firstname": "John",
"lastname": "Doe",
"phone": "+1234567890",
"jobTitle": "Software Engineer",
"emails": [
"john.doe@example.com",
"johnd@work.com"
],
"notes": "Prefers email communication",
"billingAddress": {
"address": "123 Main Street",
"complement": "Apt 4B",
"city": "New York",
"zipCode": "10001",
"state": "NY",
"country": "FR"
},
"deliveryAddress": {
"address": "123 Main Street",
"complement": "Apt 4B",
"city": "New York",
"zipCode": "10001",
"state": "NY",
"country": "FR"
},
"bankInformations": {
"iban": "DE89370400440532013000",
"bic": "DEUTDEFF",
"holder": "John Doe"
},
"preferences": {
"language": "en",
"currency": "USD",
"paymentMethods": [
"cheque",
"stripe"
]
}
}{
"id": "123e4567-e89b-12d3-a456-426614174000",
"emails": [
"john@example.com",
"johndoe@company.com"
],
"organization": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Acme Corp",
"archivedAt": 1617187200
},
"defaultContact": true,
"createdAt": 1617187200,
"archivedAt": 1617187200,
"hasBillings": true,
"test": false,
"phone": "+33123456789",
"firstname": "John",
"lastname": "Doe",
"billingAddress": {
"address": "123 Main Street",
"complement": "Apt 4B",
"city": "New York",
"zipCode": "10001",
"state": "NY",
"country": "FR"
},
"deliveryAddress": {
"address": "123 Main Street",
"complement": "Apt 4B",
"city": "New York",
"zipCode": "10001",
"state": "NY",
"country": "FR"
},
"jobTitle": "Software Engineer",
"bankInformations": {
"iban": "DE89370400440532013000",
"bic": "DEUTDEFF",
"holder": "John Doe"
},
"hasTiersPrestation": false,
"notes": "Prefers email communication",
"language": "en",
"currency": "EUR",
"paymentMethods": [
"cash",
"credit_card"
]
}Get a paginated list of contacts for the current company
API key authentication. Pass your API key as a Bearer token.
Successfully retrieved contacts
GET /contacts HTTP/1.1
Host: api.abby.fr
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"countWithoutFilters": 1,
"totalDocs": 1,
"limit": 1,
"totalPages": 1,
"hasNextPage": true,
"hasPrevPage": true,
"nextPage": 1,
"page": 1,
"prevPage": 1,
"docs": [
{
"archivedAt": 1617187200,
"createdAt": 1617187200,
"test": false,
"defaultContact": true,
"emails": [
"john@example.com",
"johndoe@company.com"
],
"hasBillings": true,
"id": "123e4567-e89b-12d3-a456-426614174000",
"fullname": "John Doe",
"organization": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Acme Corp",
"archivedAt": 1617187200
},
"tiersPrestation": {
"state": "synced"
}
}
]
}API key authentication. Pass your API key as a Bearer token.
The contact has been successfully retrieved.
Contact ID
123e4567-e89b-12d3-a456-426614174000Contact email addresses
["john@example.com","johndoe@company.com"]Whether this is the default contact
trueContact creation timestamp
1617187200Contact archival timestamp
1617187200Whether the contact has billings
trueWhether this is a test contact
falseContact phone number
+33123456789Contact first name
JohnContact last name
DoeContact job title
Software EngineerWhether the contact has third-party services
falseAdditional notes about the contact
Prefers email communicationPreferred currency of the customer
Unauthorized
Contact not found
GET /contact/{id} HTTP/1.1
Host: api.abby.fr
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"emails": [
"john@example.com",
"johndoe@company.com"
],
"organization": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Acme Corp",
"archivedAt": 1617187200
},
"defaultContact": true,
"createdAt": 1617187200,
"archivedAt": 1617187200,
"hasBillings": true,
"test": false,
"phone": "+33123456789",
"firstname": "John",
"lastname": "Doe",
"billingAddress": {
"address": "123 Main Street",
"complement": "Apt 4B",
"city": "New York",
"zipCode": "10001",
"state": "NY",
"country": "FR"
},
"deliveryAddress": {
"address": "123 Main Street",
"complement": "Apt 4B",
"city": "New York",
"zipCode": "10001",
"state": "NY",
"country": "FR"
},
"jobTitle": "Software Engineer",
"bankInformations": {
"iban": "DE89370400440532013000",
"bic": "DEUTDEFF",
"holder": "John Doe"
},
"hasTiersPrestation": false,
"notes": "Prefers email communication",
"language": "en",
"currency": "EUR",
"paymentMethods": [
"cash",
"credit_card"
]
}API key authentication. Pass your API key as a Bearer token.
Unauthorized
Aucun contenu
Contact not found
The contact has been successfully deleted.
DELETE /contact/{id} HTTP/1.1
Host: api.abby.fr
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
Aucun contenu
API key authentication. Pass your API key as a Bearer token.
The contact has been successfully updated.
Contact ID
123e4567-e89b-12d3-a456-426614174000Contact email addresses
["john@example.com","johndoe@company.com"]Whether this is the default contact
trueContact creation timestamp
1617187200Contact archival timestamp
1617187200Whether the contact has billings
trueWhether this is a test contact
falseContact phone number
+33123456789Contact first name
JohnContact last name
DoeContact job title
Software EngineerWhether the contact has third-party services
falseAdditional notes about the contact
Prefers email communicationPreferred currency of the customer
Bad Request
Unauthorized
Contact not found
PUT /contact/{id} HTTP/1.1
Host: api.abby.fr
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 532
{
"firstname": "text",
"lastname": "text",
"phone": "text",
"jobTitle": "text",
"emails": [
"text"
],
"billingAddress": {
"address": "123 Main Street",
"complement": "Apt 4B",
"city": "New York",
"zipCode": "10001",
"state": "NY",
"country": "FR"
},
"deliveryAddress": {
"address": "123 Main Street",
"complement": "Apt 4B",
"city": "New York",
"zipCode": "10001",
"state": "NY",
"country": "FR"
},
"bankInformations": {
"iban": "DE89370400440532013000",
"bic": "DEUTDEFF",
"holder": "John Doe"
},
"preferences": {
"language": "en",
"currency": "USD",
"paymentMethods": [
"cheque",
"stripe"
]
}
}{
"id": "123e4567-e89b-12d3-a456-426614174000",
"emails": [
"john@example.com",
"johndoe@company.com"
],
"organization": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Acme Corp",
"archivedAt": 1617187200
},
"defaultContact": true,
"createdAt": 1617187200,
"archivedAt": 1617187200,
"hasBillings": true,
"test": false,
"phone": "+33123456789",
"firstname": "John",
"lastname": "Doe",
"billingAddress": {
"address": "123 Main Street",
"complement": "Apt 4B",
"city": "New York",
"zipCode": "10001",
"state": "NY",
"country": "FR"
},
"deliveryAddress": {
"address": "123 Main Street",
"complement": "Apt 4B",
"city": "New York",
"zipCode": "10001",
"state": "NY",
"country": "FR"
},
"jobTitle": "Software Engineer",
"bankInformations": {
"iban": "DE89370400440532013000",
"bic": "DEUTDEFF",
"holder": "John Doe"
},
"hasTiersPrestation": false,
"notes": "Prefers email communication",
"language": "en",
"currency": "EUR",
"paymentMethods": [
"cash",
"credit_card"
]
}Les contacts d'entreprise
Pour une meilleure organisation, vous avez la possibilité d'enregistrer différents contacts affiliés à une entreprise spécifique.
API key authentication. Pass your API key as a Bearer token.
Contact ID
123e4567-e89b-12d3-a456-426614174000Contact email addresses
["john@example.com","johndoe@company.com"]Whether this is the default contact
trueContact creation timestamp
1617187200Contact archival timestamp
1617187200Whether the contact has billings
trueWhether this is a test contact
falseContact phone number
+33123456789Contact first name
JohnContact last name
DoeContact job title
Software EngineerWhether the contact has third-party services
falseAdditional notes about the contact
Prefers email communicationPreferred currency of the customer
POST /organization/{id}/contact HTTP/1.1
Host: api.abby.fr
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 104
{
"firstname": "text",
"lastname": "text",
"phone": "text",
"jobTitle": "text",
"emails": [
"text"
],
"notes": "text"
}{
"id": "123e4567-e89b-12d3-a456-426614174000",
"emails": [
"john@example.com",
"johndoe@company.com"
],
"organization": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Acme Corp",
"archivedAt": 1617187200
},
"defaultContact": true,
"createdAt": 1617187200,
"archivedAt": 1617187200,
"hasBillings": true,
"test": false,
"phone": "+33123456789",
"firstname": "John",
"lastname": "Doe",
"billingAddress": {
"address": "123 Main Street",
"complement": "Apt 4B",
"city": "New York",
"zipCode": "10001",
"state": "NY",
"country": "FR"
},
"deliveryAddress": {
"address": "123 Main Street",
"complement": "Apt 4B",
"city": "New York",
"zipCode": "10001",
"state": "NY",
"country": "FR"
},
"jobTitle": "Software Engineer",
"bankInformations": {
"iban": "DE89370400440532013000",
"bic": "DEUTDEFF",
"holder": "John Doe"
},
"hasTiersPrestation": false,
"notes": "Prefers email communication",
"language": "en",
"currency": "EUR",
"paymentMethods": [
"cash",
"credit_card"
]
}API key authentication. Pass your API key as a Bearer token.
Contact ID
123e4567-e89b-12d3-a456-426614174000Contact email addresses
["john@example.com","johndoe@company.com"]Whether this is the default contact
trueContact creation timestamp
1617187200Contact archival timestamp
1617187200Whether the contact has billings
trueWhether this is a test contact
falseContact phone number
+33123456789Contact first name
JohnContact last name
DoeContact job title
Software EngineerWhether the contact has third-party services
falseAdditional notes about the contact
Prefers email communicationPreferred currency of the customer
PUT /organization/contact/{id} HTTP/1.1
Host: api.abby.fr
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 126
{
"firstname": "text",
"lastname": "text",
"phone": "text",
"jobTitle": "text",
"emails": [
"text"
],
"notes": "text",
"defaultContact": true
}{
"id": "123e4567-e89b-12d3-a456-426614174000",
"emails": [
"john@example.com",
"johndoe@company.com"
],
"organization": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Acme Corp",
"archivedAt": 1617187200
},
"defaultContact": true,
"createdAt": 1617187200,
"archivedAt": 1617187200,
"hasBillings": true,
"test": false,
"phone": "+33123456789",
"firstname": "John",
"lastname": "Doe",
"billingAddress": {
"address": "123 Main Street",
"complement": "Apt 4B",
"city": "New York",
"zipCode": "10001",
"state": "NY",
"country": "FR"
},
"deliveryAddress": {
"address": "123 Main Street",
"complement": "Apt 4B",
"city": "New York",
"zipCode": "10001",
"state": "NY",
"country": "FR"
},
"jobTitle": "Software Engineer",
"bankInformations": {
"iban": "DE89370400440532013000",
"bic": "DEUTDEFF",
"holder": "John Doe"
},
"hasTiersPrestation": false,
"notes": "Prefers email communication",
"language": "en",
"currency": "EUR",
"paymentMethods": [
"cash",
"credit_card"
]
}API key authentication. Pass your API key as a Bearer token.
Contact archival timestamp
1617187200Contact creation timestamp
1617187200Whether this is a test contact
falseWhether this is the default contact
trueContact email addresses
["john@example.com","johndoe@company.com"]Whether the contact has billings
trueContact ID
123e4567-e89b-12d3-a456-426614174000Contact full name
John DoeGET /organization/{id}/contacts HTTP/1.1
Host: api.abby.fr
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"archivedAt": 1617187200,
"createdAt": 1617187200,
"test": false,
"defaultContact": true,
"emails": [
"john@example.com",
"johndoe@company.com"
],
"hasBillings": true,
"id": "123e4567-e89b-12d3-a456-426614174000",
"fullname": "John Doe",
"organization": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Acme Corp",
"archivedAt": 1617187200
},
"tiersPrestation": {
"state": "synced"
}
}
]Changer le contact par défaut d'une entreprise
API key authentication. Pass your API key as a Bearer token.
Aucun contenu
PATCH /organization/{organizationId}/default-contact HTTP/1.1
Host: api.abby.fr
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 27
{
"defaultContactId": "text"
}Aucun contenu
Mis à jour
Ce contenu vous a-t-il été utile ?

